gavl

Macros
Video conversion flags
Video » Video conversion options

## Macros
#define | GAVL_FORCE_DEINTERLACE (1<<0)
| Force deinterlacing.
#define | GAVL_CONVOLVE_CHROMA (1<<1)
| Pass chroma planes to the convolver.
#define | GAVL_CONVOLVE_NORMALIZE (1<<2)
| Normalize convolution matrices passed to the scaler.
#define | GAVL_RESAMPLE_CHROMA (1<<3)
| Force chroma placement correction.
#define | GAVL_FORCE_SW (1<<4)
| Force software processing.

## Detailed Description

## Macro Definition Documentation

## ◆ GAVL_FORCE_DEINTERLACE

#define GAVL_FORCE_DEINTERLACE (1<<0)

Force deinterlacing.

This option turns on deinterlacing by the converter in any case (i.e. also if the input format pretends to be progressive or if the output format is interlaced).

## ◆ GAVL_CONVOLVE_CHROMA

#define GAVL_CONVOLVE_CHROMA (1<<1)

Pass chroma planes to the convolver.

## ◆ GAVL_CONVOLVE_NORMALIZE

#define GAVL_CONVOLVE_NORMALIZE (1<<2)

Normalize convolution matrices passed to the scaler.

## ◆ GAVL_RESAMPLE_CHROMA

#define GAVL_RESAMPLE_CHROMA (1<<3)

Force chroma placement correction.

Force chroma placement correction and resampling using a scaler. Usually this is done only for qualities above 3.

## ◆ GAVL_FORCE_SW

#define GAVL_FORCE_SW (1<<4)

Force software processing.